Subject: Re: [6.1.0-rc3-next-20221104] Boot failure - kernel BUG at mm/memblock.c:519

From: Mike Rapoport <[email-masked]>
Date: Wed, 9 Nov 2022 13:42:23 +0200

Hi Yajun,

On Wed, Nov 09, 2022 at 11:32:27AM +0000, Yajun Deng wrote:
> November 9, 2022 6:55 PM, "Sachin Sant" <[email-masked]> wrote:
> 
> >> On 09-Nov-2022, at 3:55 PM, Yajun Deng <[email-masked]> wrote:
> >> 
> >> November 9, 2022 6:03 PM, "Yajun Deng" <[email-masked]> wrote:
> >> 
> >>> Hey Mike,
> >> 
> >> Sorry, this email should be sent to Sachin but not Mike.
> >> Please forgive my confusion. So:
> >> 
> >> Hey Sachin,
> >> Can you help me test the attached file?
> >> Please use this new patch instead of the one in memblock tree.
> > 
> > Thanks for the fix. With the updated patch kernel boots correctly.
> > 
> 
> Thanks for your test results.
> 
> Hi Mike,
> Do you have any other suggestions for this patch? If not, I'll send a v3 patch.

Unfortunately I don't think the new version has much value as it does not
really eliminate the second loop in case memory allocation is required.
I'd say the improvement is not worth the churn.
 
> > Tested-by: Sachin Sant <[email-masked] <[email-masked]>>
> > 
> > - Sachin

-- 
Sincerely yours,
Mike.